#include "SpriteFrame.h"
#include "Debug.h"

///--------------------------------------------------------------------------------------
// DebugWindow
///--------------------------------------------------------------------------------------
DebugWindow::DebugWindow(BRect frame, FramePtr inFrame, char *name)
			: BWindow(frame, name, B_TITLED_WINDOW, B_NOT_RESIZABLE)
{
	BRect		theRect;
	status_t	err = B_NO_ERROR;
	
//	theRect.Set(0, 0, 200, 200);

	DebugView *view = new DebugView(inFrame->frameRect, inFrame, "debug");
	
	
	
	AddChild(view);
	
	
	view->SetViewColor(B_TRANSPARENT_32_BIT);
	
	SetPulseRate(50000);
		
	Show();
}


///--------------------------------------------------------------------------------------
// QuitRequested
///--------------------------------------------------------------------------------------
bool
DebugWindow::QuitRequested()
{
	be_app->PostMessage(B_QUIT_REQUESTED);
	
	return true;
}

//--------------------------------------------------------------------------------------
// DebugView
//--------------------------------------------------------------------------------------
DebugView::DebugView(BRect frame, FramePtr inFrame, char *name)
			: BView(frame, name, B_FOLLOW_NONE, B_WILL_DRAW | B_PULSE_NEEDED)
{
	fFrame = inFrame;
}

//--------------------------------------------------------------------------------------
// Draw
//--------------------------------------------------------------------------------------
void
DebugView::Draw(BRect updateRect)
{
	SWLockWindowFrame(fFrame);
	DrawBitmapAsync(fFrame->framePix);
	Sync();
	SWUnlockWindowFrame(fFrame);
}

//--------------------------------------------------------------------------------------
// Pulse
//--------------------------------------------------------------------------------------
void
DebugView::Pulse()
{
	if (Window()->Lock())
	{
		Invalidate();
		Window()->Unlock();
	}
}
