///--------------------------------------------------------------------------------------
// Scrolling Demo.h
//
// By: Vern Jensen
///--------------------------------------------------------------------------------------


#include <SWIncludes.h>

#include "BeSpecific.h"

#ifdef __cplusplus
extern "C" {
#endif

struct moveKeys		// Keeps track of which keys are up and which are down
{
	Boolean	up;
	Boolean	right;
	Boolean	down;
	Boolean	left;
};

void	CreateSpriteWorld( void );
void	SetUpTiling( void )	;
void	CreateBallSprite( void );
void	CreateDiamondMeterSprite( void );
void	SetUpAnimation( void );

int32	RunAnimation( void *arg );
void	ShutDown( void );

void	FatalError(OSErr err);
void	CenterRect(Rect* rectA, Rect* rectB);

SW_FUNC void TileChangeProc(SpriteWorldPtr spriteWorldP);

SW_FUNC void KeySpriteMoveProc(SpritePtr srcSpriteP);
SW_FUNC void DiamondMeterSpriteMoveProc(SpritePtr srcSpriteP);
SW_FUNC void UpdateDiamondMeter( void );

SW_FUNC void SmoothScrollingWorldMoveProc(
	SpriteWorldPtr spriteWorldP,
	SpritePtr followSpriteP);

void	UpdateKeys( void );


#ifdef __cplusplus
}
#endif
