///--------------------------------------------------------------------------------------
//	SWFPSReport.c
//
//	Requires ALRT and DITL resource ID 200 to be copied from SpriteTest and put in 
//	your project. Remember to include the SWFPSReport.h file as well. It will 
//	call SysBeep if for some reason it can't display the alert.
//
//	Make sure to set the Sprite's move time and the MaxFPS rate to 0; otherwise 
//	the fps report will be innaccurate. (It still isn't terribly accurate, but should
//	give you a pretty good idea of how fast the animation is going.)
///--------------------------------------------------------------------------------------


#if __BEOS__
#include "MacOSGlue.h"
#endif

#include "SWFPSReport.h"

#define	kNoteAlertID	200


//unsigned long	frames;
uint64			ticks;

///--------------------------------------------------------------------------------------
//	Call StartTimer right before you start the animation
///--------------------------------------------------------------------------------------

void	StartTimer( void )
{
	ticks = TickCount();
}


///--------------------------------------------------------------------------------------
//	Call ShowResults as soon as your animation is done and pass to it the number of
//	frames that have occured in the animation.
///--------------------------------------------------------------------------------------

void	ShowResults( long frames )
{
//	Str255 		framesString, secondsString, fpsString;
	char		frameString[256], secondString[255], fpsString[255];
	float 		seconds, fps;
	
//	seconds = ((TickCount() - ticks) / 60.25);
	seconds = ((TickCount() - ticks) / 1000000.0);

//	NumToString(frames, framesString);
//	NumToString(seconds, secondsString);

	fps = (seconds > 0) ? frames / seconds : frames;
//	NumToString(fps, fpsString);

//	ParamText(framesString, secondsString, fpsString, "\p");

	sprintf(frameString, "Frames: %d\nSeconds: %3.0f\nFrames Per Second: %3.0f", frames,
		seconds + 0.5, fps + 0.5);

//	ShowCursor();
	be_app->ShowCursor();
	
	BAlert *alert = new BAlert("FPS Report", frameString, "OK"); 
	alert->Go();
   
//	if (NoteAlert(kNoteAlertID, NULL) == -1)
//		SysBeep(10);
}

